Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.presentation
Class ViewModelWizardNewFileCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewFileCreationPage
                  org.eclipse.emf.ecp.view.model.presentation.ViewModelWizardNewFileCreationPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.widgets.Listener

    public class ViewModelWizardNewFileCreationPage

extends org.eclipse.ui.dialogs.WizardNewFileCreationPage

This is the first page of the wizard.

Field Summary
`static List<String>` | `FILE_EXTENSIONS` The supported extensions for created files.
`static String` | `FORMATTED_FILE_EXTENSIONS` A formatted list of supported file extensions, suitable for display.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ViewModelWizardNewFileCreationPage(String pageId, org.eclipse.jface.viewers.IStructuredSelection selection)` Pass in the selection.

Method Summary
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.emf.ecore.EClass` | `getEClass()`
`org.eclipse.core.resources.IFile` | `getModelFile()`
`void` | `setEClass(org.eclipse.emf.ecore.EClass eClass)`
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.ui.dialogs.WizardNewFileCreationPage
`createNewFile, getContainerFullPath, getFileExtension, getFileName, handleEvent, setAllowExistingResources, setContainerFullPath, setFileExtension, setFileName`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### FILE_EXTENSIONS

    public static final List<String> FILE_EXTENSIONS

  The supported extensions for created files.

### FORMATTED_FILE_EXTENSIONS

    public static final String FORMATTED_FILE_EXTENSIONS

  A formatted list of supported file extensions, suitable for display.

Constructor Detail

### ViewModelWizardNewFileCreationPage

    public ViewModelWizardNewFileCreationPage(String pageId,
                                              org.eclipse.jface.viewers.IStructuredSelection selection)

  Pass in the selection.

Method Detail

### getEClass

    public org.eclipse.emf.ecore.EClass getEClass()

  Returns:
    the eClass

### setEClass

    public void setEClass(org.eclipse.emf.ecore.EClass eClass)

  Parameters:
    `eClass` - the eClass to set

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`
  See Also:
    `WizardNewFileCreationPage.setVisible(boolean)`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `org.eclipse.ui.dialogs.WizardNewFileCreationPage`
  See Also:
    `WizardNewFileCreationPage.createControl(org.eclipse.swt.widgets.Composite)`

### getModelFile

    public org.eclipse.core.resources.IFile getModelFile()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.